Bug 149717 - 2 * missing return statement
Summary: 2 * missing return statement
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gweled   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-25 18:06 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 18:00:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-25 18:06:54 UTC
Description of problem:

I just tried to compile package gweled-0.6-1 from 
Redhat Fedora Extras development tree.

The compiler said

1.

graphic_engine.c(265): warning #1011: missing return statement at end
of non-void function "gweled_gems_fall_into_place"

The source code is

int
gweled_gems_fall_into_place (void)
{
        gint i, j;
        for (i = 0; i < BOARD_WIDTH; i++)
                for (j = 0; j < BOARD_HEIGHT; j++)
                        sge_object_fall_to (g_gem_objects[i][j],
                                            j * gi_tile_height);
}

Suggest either add a return statement at the end of the function,
or change the return type to void.

2.

sge_core.c(425): warning #1011: missing return statement at end of
non-void function "sge_object_rise"

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thorsten Leemhuis 2005-02-25 18:20:03 UTC
"Need Real Name"? Please set a name in you preferences (David Binderman?)

And please be a bit more specific. 
>I just tried to compile package gweled-0.6-1 from 
>Redhat Fedora Extras development tree.
>The compiler said [...]

Did it fail or did it compile and only warn? I assume the first.

Comment 2 Thorsten Leemhuis 2005-04-20 18:00:34 UTC
Should be fixed by newest version in devel


Note You need to log in before you can comment on or make changes to this bug.